Name: H5Pget_nfilters
Signature:
  int `H5Pget_nfilters`(hid_t `plist`)
Purpose:
  Returns the number of filters in the pipeline.
Description:
  `H5Pget_nfilters` returns the number of filters defined in the filter pipeline associated with the property list `plist`.

  In each pipeline, the filters are numbered from 0 through N-1, where N is the value returned by this function. During output to the file, the filters are applied in increasing order; during input from the file, they are applied in decreasing order.

  `H5Pget_nfilters` returns the number of filters in the pipeline, including zero (`0`) if there are none.

Note:
  This function currently supports only the permanent filter pipeline; `plist_id` must be a dataset creation property list.
Parameters:

hid_t `plist` | IN: Property list identifier.

Returns:
  Returns the number of filters in the pipeline if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_nfilters_f

      SUBROUTINE h5pget_nfilters_f(prp_id, nfilters, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id   ! Dataset creation property
                                               ! list identifier
        INTEGER, INTENT(OUT) :: nfilters       ! The number of filters in
                                               ! the pipeline
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_nfilters_f